<?php
include_once(_DIR_TO_CLASS.'/c_page.php') ;
class c_page_cab_pp_person extends c_page
{

 public $h1='Расчет результата пупиллометрия' ;
 public $use_fusioncharts=1 ;

function set_head_tags()
{  parent::set_head_tags() ;
    $this->HEAD['css'][]='/'._CLASS_.'/ext/aspmo_pp/style.css' ;
    $this->HEAD['js'][]='/'._CLASS_.'/ext/aspmo_pp/script.js' ;
}

function select_obj_info()
{
    if (_CUR_ID) {
        $this->rec_PP = PP()->get_PP_by_id(_CUR_ID);
        if ($this->rec_PP['pkey']) {
            $this->rec_personal = PERSONAL()->get_personal_by_id($this->rec_PP['personal_id']);
            $this->h1='Расчет результата пупиллометрии '.$this->rec_personal['obj_name'].' '.$this->rec_personal['propusk'];
            $this->page_type = 'window';
        } else $this->result = 404;
    }
}


 function block_main()
 {
     $this->page_title() ;
     if ($this->rec_PP['pkey']) {
         include_once(_DIR_EXT . '/aspmo_pp/report_pp_result.php');
         $report_obj = new report_pp_result();
         $report_obj->rec_PP = $this->rec_PP;
         $report_obj->title='Расчет результата пупиллометрии '.$this->rec_personal['obj_name'].' '.$this->rec_personal['propusk'].'<br>Время осмотра: '.date('d.m.Y H:i',$this->rec_PP['c_data']) ;
         $report_obj->view();
     } else $this->result=404 ;
 }




}

?>
